from fastapi import APIRouter, Depends, HTTPException
from sqlalchemy.orm import Session
from typing import List
from core.database import get_db
from schemas.car import CarSchema
from helpers.car_helpers import get_available_german_cars

router = APIRouter()

@router.get("/bunny", response_model=List[CarSchema], status_code=200)
async def get_german_cars(
    brand: str = None,
    db: Session = Depends(get_db)
):
    try:
        cars = get_available_german_cars(db=db, brand=brand)
        return cars
    except ValueError as e:
        raise HTTPException(status_code=400, detail=str(e))